﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.3.0/doxybook2-windows-win32-v1.3.0.zip'
$url64       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.3.0/doxybook2-windows-win64-v1.3.0.zip'
$checksum32  = 'de44dc773bcb5ae8e1a2b95d2532c914458dc36bdad862274c2e01cf09e14d8d'
$checksum64  = '77c06aa6e349502da3eb5157f2db44a1b029c868927368d6b77e984f58713f91'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
